function lbpCounts=computeLBPsignal(inputSignal)
radius=3;
lBigger=zeros(length(inputSignal),1);
for k=1:length(inputSignal)
    currentVkernel=inputSignal(max(1,k-radius):min(end,k+radius));
    lBigger(k)=length(find(currentVkernel>inputSignal(k)));
end
lbpCounts=zeros(1,radius*2+1);
for k=0:radius*2
    lbpCounts(k+1)=length(find(lBigger==k));
end